[问题]dpkg安装jedit出错,apt-get不能用了

为当前最终发行版之前的所有版本提供支持
回复
limux
帖子: 10
注册时间: 2005-12-31 17:17
送出感谢: 0
接收感谢: 0

[问题]dpkg安装jedit出错,apt-get不能用了

#1

帖子 limux » 2006-08-17 16:14

sudo dpkg -i jedit_4.3pre6_all.deb
选中了曾被取消选择的软件包 jedit。
(正在读取数据库 ...
dpkg:严重警告:无法找到软件包“jedit”的文件名列表文件,现假定该软件包目前没有任 何文件被安装在系统里。
系统当前总共安装有 100755 个文件和目录。)
正预备替换 jedit 4:04.03.06.00 (使用 jedit_4.3pre6_all.deb) ...
正在解压缩将用于更替的包文件 jedit ...
dpkg:处理 jedit_4.3pre6_all.deb (--install)时出错:
无法创建“./usr/share/doc/jEdit/Apache.LICENSE.txt”: No such file or directory
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
dpkg (子进程):无法执行新的 post-removal script: No such file or directory
dpkg: 作下列清理工作时发生错误:
子进程·post-removal script·返回了错误号·2
在处理时有错误发生:
jedit_4.3pre6_all.deb

sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 jedit 需要重新安装,但是我无法找到相应的安装文件。


请求高手援助!
头像
huangzuobin
帖子: 176
注册时间: 2006-03-28 2:53
送出感谢: 0
接收感谢: 0

#2

帖子 huangzuobin » 2006-08-18 10:01

一般要从ubuntu里的源里安装软件,用debian里的软件很容易造成包依赖混乱,为此我的系统崩了好几次
limux
帖子: 10
注册时间: 2005-12-31 17:17
送出感谢: 0
接收感谢: 0

#3

帖子 limux » 2006-08-18 16:54

难道没有什么办法吗?
头像
5451vs5451
帖子: 345
注册时间: 2006-07-14 18:56
来自: Apple Valley, Planet Tux, Linux System
送出感谢: 0
接收感谢: 0

#4

帖子 5451vs5451 » 2006-08-18 17:10

dpkg -r jedit_4.3pre6_all.deb试试看
limux
帖子: 10
注册时间: 2005-12-31 17:17
送出感谢: 0
接收感谢: 0

谢谢你的回复

#5

帖子 limux » 2006-08-18 21:11

sudo dpkg -r jedit也不行

dpkg: error processing jedit (--remove):
Package is in a very bad inconsistent state - you should
reinstall it before attempting a removal.
Errors were encountered while processing:
jedit
limux
帖子: 10
注册时间: 2005-12-31 17:17
送出感谢: 0
接收感谢: 0

已解决

#6

帖子 limux » 2006-08-18 22:23

1.进入/var/lib/dpkg/info, rm jedit.*
2.sudo dpkg -r --force-remove-reinstreq jedit
3.ok



下面我从英文ubuntu论坛上看到的原文,我没有全部按照他所说的做:

1. opened up the deb files with Archive Manager, to have an idea of where
the files install, and followed through and saw where all the files are,
and uninstalled them.

2. Also make sure you read the files in the control zip file within the deb package with gedit (or other editor), and find out where the files where
installed.

3. Make sure all installed files and folders are deleted.
Some files will require root pass, so be careful you don't delete other files
and folders.

4. After making sure that all files and folders are deleted.

- Check "/var/packages" to see if there are any related folders
and delete them.

5. The most important:
- In order to remove package info from system,
go into "/var/lib/dpkg/info", and delete all files associated with package
and delete them.

6. Now go into a terminal and type:
- sudo dpkg -r --force-remove-reinstreq <package name> (without brackets)

- Then, sudo dpkg --purge <package name> (without brackets)

7. Update repositories with: sudo apt-get update
zhurichard
帖子: 47
注册时间: 2005-12-22 14:51
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 zhurichard » 2006-08-19 9:32

大哥啊,我的好大哥,我真是太有福了,我的题和你的一模一样啊,搞了我二个星期,大家只说换源,可没用......我都要死了,..............现在终于看到有方法了,我马上试试
zhurichard
帖子: 47
注册时间: 2005-12-22 14:51
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 zhurichard » 2006-08-19 9:48

谢谢了兄弟~
var/lib/dpkg/info, rm jedit.* 说找不到文件
但第二步就可以了,解快了我的问题,万十感谢,
兄弟,你家住那,我要上门感谢啊!
回复

回到 “老旧版本支持”